# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::IndexIteratorDrawArrays Class Reference

Index iterator operating used by DrawArrays. More...

`#include <IndexIterator.hpp>`

Inheritance diagram for vl::IndexIteratorDrawArrays:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| IndexIteratorDrawArrays ()
void | initialize (int start, int count)
virtual bool | isEnd () const
virtual bool | next ()

## Protected Attributes

int | mStart
int | mCount
int | mCurPos

## Detailed Description

Index iterator operating used by DrawArrays.

Definition at line 84 of file IndexIterator.hpp.

## Constructor & Destructor Documentation

vl::IndexIteratorDrawArrays::IndexIteratorDrawArrays | ( | ) | `[inline]`

Definition at line 89 of file IndexIterator.hpp.

References initialize(), and VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::IndexIteratorDrawArrays::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::IndexIteratorAbstract.

Definition at line 87 of file IndexIterator.hpp.

void vl::IndexIteratorDrawArrays::initialize | ( | int | start,
|  | int | count
| ) |  | `[inline]`

Definition at line 95 of file IndexIterator.hpp.

References mCount, mCurPos, vl::IndexIteratorAbstract::mIndex, and mStart.

Referenced by IndexIteratorDrawArrays().

virtual bool vl::IndexIteratorDrawArrays::isEnd | ( | ) | const`[inline, virtual]`

Implements vl::IndexIteratorAbstract.

Definition at line 103 of file IndexIterator.hpp.

References mCount, mCurPos, and mStart.

virtual bool vl::IndexIteratorDrawArrays::next | ( | ) | `[inline, virtual]`

Implements vl::IndexIteratorAbstract.

Definition at line 108 of file IndexIterator.hpp.

References mCurPos, and vl::IndexIteratorAbstract::mIndex.

## Member Data Documentation

int vl::IndexIteratorDrawArrays::mStart`[protected]`

Definition at line 116 of file IndexIterator.hpp.

Referenced by initialize(), and isEnd().

int vl::IndexIteratorDrawArrays::mCount`[protected]`

Definition at line 117 of file IndexIterator.hpp.

Referenced by initialize(), and isEnd().

int vl::IndexIteratorDrawArrays::mCurPos`[protected]`

Definition at line 118 of file IndexIterator.hpp.

Referenced by initialize(), isEnd(), and next().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/IndexIterator.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:41.
Permission is granted to use this page to write and publish articles regarding Visualization Library.